Package org.eclipse.ui.texteditor

# Class AbstractDocumentProvider.ElementInfo

java.lang.Object
org.eclipse.ui.texteditor.AbstractDocumentProvider.ElementInfo

All Implemented Interfaces:
  `IDocumentListener`

Direct Known Subclasses:
  `StorageDocumentProvider.StorageInfo`

Enclosing class:
  `AbstractDocumentProvider`

protected class AbstractDocumentProvider.ElementInfo extends Object implements IDocumentListener
Collection of all information managed for a connected element.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`fCanBeSaved`
Can the element be saved
`int`
`fCount`
How often the element has been connected
`IDocument`
`fDocument`
The element's document
`Object`
`fElement`
The element for which the info is stored
`boolean`
`fIsStateValidated`
Has element state been validated
`IAnnotationModel`
`fModel`
The element's annotation model
`IStatus`
`fStatus`
The status of this element

## Constructor Summary

Constructors
Constructor
Description
`ElementInfo(IDocument document, IAnnotationModel model)`
Creates a new element info, initialized with the given document and annotation model.

## Method Summary

Modifier and Type
Method
Description
`void`
`documentAboutToBeChanged(DocumentEvent event)`
The manipulation described by the document event will be performed.
`void`
`documentChanged(DocumentEvent event)`
The manipulation described by the document event has been performed.
`boolean`
`equals(Object o)`
An element info equals another object if this object is an element info and if the documents of the two element infos are equal.
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fElement

public Object fElement
The element for which the info is stored

### fCount

public int fCount
How often the element has been connected

### fCanBeSaved

public boolean fCanBeSaved
Can the element be saved

### fDocument

public IDocument fDocument
The element's document

### fModel

public IAnnotationModel fModel
The element's annotation model

### fIsStateValidated

public boolean fIsStateValidated
Has element state been validated

Since:
  2.0

### fStatus

public IStatus fStatus
The status of this element

Since:
  2.0

## Constructor Details

### ElementInfo

public ElementInfo(IDocument document, IAnnotationModel model)
Creates a new element info, initialized with the given document and annotation model.

Parameters:
  `document` - the document
  `model` - the annotation model

## Method Details

### equals

public boolean equals(Object o)
An element info equals another object if this object is an element info and if the documents of the two element infos are equal.

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### documentChanged

public void documentChanged(DocumentEvent event)
Description copied from interface: `IDocumentListener`
The manipulation described by the document event has been performed.

Specified by:
  `documentChanged` in interface `IDocumentListener`
Parameters:
  `event` - the document event describing the document change

### documentAboutToBeChanged

public void documentAboutToBeChanged(DocumentEvent event)
Description copied from interface: `IDocumentListener`
The manipulation described by the document event will be performed.

Specified by:
  `documentAboutToBeChanged` in interface `IDocumentListener`
Parameters:
  `event` - the document event describing the document change